/ Check-in [ccd70a6e]
Login

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview
Comment:Fix for #1802, #2041, and #2270 - link libsqlite with -lrt (CVS 4848)
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1: ccd70a6ee495a02362161b4004597fa191d46bc2
User & Date: mlcreech 2008-03-09 02:20:11
Context
2008-03-09
02:51
Fix for #2981 - specifically use "tclsh8.4" if it's available (CVS 4849) check-in: 8ced1d64 user: mlcreech tags: trunk
02:20
Fix for #1802, #2041, and #2270 - link libsqlite with -lrt (CVS 4848) check-in: ccd70a6e user: mlcreech tags: trunk
02:00
Change <sqlite3.h> to "sqlite3.h" in #includes (CVS 4847) check-in: 98e55fa4 user: mlcreech tags: trunk
Changes
Hide Diffs Side-by-Side Diffs Ignore Whitespace Patch

Changes to Makefile.in.

    50     50   #
    51     51   LIBREADLINE = @TARGET_READLINE_LIBS@
    52     52   
    53     53   # Should the database engine be compiled threadsafe
    54     54   #
    55     55   TCC += -DSQLITE_THREADSAFE=@SQLITE_THREADSAFE@
    56     56   
    57         -# The pthreads library if needed
    58         -#
    59         -LIBPTHREAD=@TARGET_THREAD_LIB@
    60         -
    61     57   # Do threads override each others locks by default (1), or do we test (-1)
    62     58   #
    63     59   TCC += -DSQLITE_THREAD_OVERRIDE_LOCK=@THREADSOVERRIDELOCKS@
    64     60   
    65         -# The fdatasync library
           61  +# Any target libraries which libsqlite must be linked against
           62  +# 
    66     63   TLIBS = @LIBS@
    67     64   
    68     65   # Flags controlling use of the in memory btree implementation
    69     66   #
    70     67   # TEMP_STORE is 0 to force temporary tables to be in a file, 1 to
    71     68   # default to file, 2 to default to memory, and 3 to force temporary
    72     69   # tables to always be in memory.
................................................................................
   357    354   # of the most recently modified source code file
   358    355   #
   359    356   last_change:	$(SRC)
   360    357   	cat $(SRC) | grep '$$Id: ' | sort -k 5 | tail -1 \
   361    358             | $(NAWK) '{print $$5,$$6}' >last_change
   362    359   
   363    360   libsqlite3.la:	$(LIBOBJ)
   364         -	$(LTLINK) -o libsqlite3.la $(LIBOBJ) $(LIBPTHREAD) \
          361  +	$(LTLINK) -o libsqlite3.la $(LIBOBJ) $(TLIBS) \
   365    362   		${ALLOWRELEASE} -rpath $(libdir) -version-info "8:6:8"
   366    363   
   367    364   libtclsqlite3.la:	tclsqlite.lo libsqlite3.la
   368    365   	$(LTLINK) -o libtclsqlite3.la tclsqlite.lo \
   369         -		$(LIBOBJ) @TCL_STUB_LIB_SPEC@ $(LIBPTHREAD) \
          366  +		$(LIBOBJ) @TCL_STUB_LIB_SPEC@ $(TLIBS) \
   370    367                   -rpath $(libdir)/sqlite \
   371    368   		-version-info "8:6:8"
   372    369   
   373    370   sqlite3$(TEXE):	$(TOP)/src/shell.c libsqlite3.la sqlite3.h
   374         -	$(LTLINK) $(READLINE_FLAGS) $(LIBPTHREAD) \
          371  +	$(LTLINK) $(READLINE_FLAGS) \
   375    372   		-o $@ $(TOP)/src/shell.c libsqlite3.la \
   376    373   		$(LIBREADLINE) $(TLIBS)
   377    374   
   378    375   # This target creates a directory named "tsrc" and fills it with
   379    376   # copies of all of the C source code and header files needed to
   380    377   # build on the target system.  Some of the C source code and header
   381    378   # files are automatically generated.  This target takes care of

Changes to configure.

   840    840   AWK
   841    841   program_prefix
   842    842   VERSION
   843    843   RELEASE
   844    844   VERSION_NUMBER
   845    845   BUILD_CC
   846    846   SQLITE_THREADSAFE
   847         -TARGET_THREAD_LIB
   848    847   XTHREADCONNECT
   849    848   THREADSOVERRIDELOCKS
   850    849   ALLOWRELEASE
   851    850   TEMP_STORE
   852    851   BUILD_EXEEXT
   853    852   OS_UNIX
   854    853   OS_WIN
................................................................................
  1942   1941   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1943   1942   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1944   1943   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1945   1944   
  1946   1945   
  1947   1946   
  1948   1947   # The following RCS revision string applies to configure.in
  1949         -# $Revision: 1.51 $
         1948  +# $Revision: 1.52 $
  1950   1949   
  1951   1950   #########
  1952   1951   # Programs needed
  1953   1952   #
  1954   1953   # Check whether --enable-shared was given.
  1955   1954   if test "${enable_shared+set}" = set; then
  1956   1955     enableval=$enable_shared; p=${PACKAGE-default}
................................................................................
  3693   3692         ;;
  3694   3693       esac
  3695   3694     fi
  3696   3695     rm -rf conftest*
  3697   3696     ;;
  3698   3697   *-*-irix6*)
  3699   3698     # Find out which ABI we are using.
  3700         -  echo '#line 3700 "configure"' > conftest.$ac_ext
         3699  +  echo '#line 3699 "configure"' > conftest.$ac_ext
  3701   3700     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  3702   3701     (eval $ac_compile) 2>&5
  3703   3702     ac_status=$?
  3704   3703     echo "$as_me:$LINENO: \$? = $ac_status" >&5
  3705   3704     (exit $ac_status); }; then
  3706   3705      if test "$lt_cv_prog_gnu_ld" = yes; then
  3707   3706       case `/usr/bin/file conftest.$ac_objext` in
................................................................................
  6372   6371      # Note that $ac_compile itself does not contain backslashes and begins
  6373   6372      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6374   6373      # The option is referenced via a variable to avoid confusing sed.
  6375   6374      lt_compile=`echo "$ac_compile" | $SED \
  6376   6375      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6377   6376      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6378   6377      -e 's:$: $lt_compiler_flag:'`
  6379         -   (eval echo "\"\$as_me:6379: $lt_compile\"" >&5)
         6378  +   (eval echo "\"\$as_me:6378: $lt_compile\"" >&5)
  6380   6379      (eval "$lt_compile" 2>conftest.err)
  6381   6380      ac_status=$?
  6382   6381      cat conftest.err >&5
  6383         -   echo "$as_me:6383: \$? = $ac_status" >&5
         6382  +   echo "$as_me:6382: \$? = $ac_status" >&5
  6384   6383      if (exit $ac_status) && test -s "$ac_outfile"; then
  6385   6384        # The compiler can only warn and ignore the option if not recognized
  6386   6385        # So say no if there are warnings other than the usual output.
  6387   6386        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6388   6387        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6389   6388        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6390   6389          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
  6640   6639      # Note that $ac_compile itself does not contain backslashes and begins
  6641   6640      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6642   6641      # The option is referenced via a variable to avoid confusing sed.
  6643   6642      lt_compile=`echo "$ac_compile" | $SED \
  6644   6643      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6645   6644      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6646   6645      -e 's:$: $lt_compiler_flag:'`
  6647         -   (eval echo "\"\$as_me:6647: $lt_compile\"" >&5)
         6646  +   (eval echo "\"\$as_me:6646: $lt_compile\"" >&5)
  6648   6647      (eval "$lt_compile" 2>conftest.err)
  6649   6648      ac_status=$?
  6650   6649      cat conftest.err >&5
  6651         -   echo "$as_me:6651: \$? = $ac_status" >&5
         6650  +   echo "$as_me:6650: \$? = $ac_status" >&5
  6652   6651      if (exit $ac_status) && test -s "$ac_outfile"; then
  6653   6652        # The compiler can only warn and ignore the option if not recognized
  6654   6653        # So say no if there are warnings other than the usual output.
  6655   6654        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6656   6655        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6657   6656        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6658   6657          lt_prog_compiler_pic_works=yes
................................................................................
  6744   6743      # (2) before a word containing "conftest.", or (3) at the end.
  6745   6744      # Note that $ac_compile itself does not contain backslashes and begins
  6746   6745      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6747   6746      lt_compile=`echo "$ac_compile" | $SED \
  6748   6747      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6749   6748      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6750   6749      -e 's:$: $lt_compiler_flag:'`
  6751         -   (eval echo "\"\$as_me:6751: $lt_compile\"" >&5)
         6750  +   (eval echo "\"\$as_me:6750: $lt_compile\"" >&5)
  6752   6751      (eval "$lt_compile" 2>out/conftest.err)
  6753   6752      ac_status=$?
  6754   6753      cat out/conftest.err >&5
  6755         -   echo "$as_me:6755: \$? = $ac_status" >&5
         6754  +   echo "$as_me:6754: \$? = $ac_status" >&5
  6756   6755      if (exit $ac_status) && test -s out/conftest2.$ac_objext
  6757   6756      then
  6758   6757        # The compiler can only warn and ignore the option if not recognized
  6759   6758        # So say no if there are warnings
  6760   6759        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
  6761   6760        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
  6762   6761        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
  9089   9088   else
  9090   9089     	  if test "$cross_compiling" = yes; then :
  9091   9090     lt_cv_dlopen_self=cross
  9092   9091   else
  9093   9092     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9094   9093     lt_status=$lt_dlunknown
  9095   9094     cat > conftest.$ac_ext <<EOF
  9096         -#line 9096 "configure"
         9095  +#line 9095 "configure"
  9097   9096   #include "confdefs.h"
  9098   9097   
  9099   9098   #if HAVE_DLFCN_H
  9100   9099   #include <dlfcn.h>
  9101   9100   #endif
  9102   9101   
  9103   9102   #include <stdio.h>
................................................................................
  9189   9188   else
  9190   9189     	  if test "$cross_compiling" = yes; then :
  9191   9190     lt_cv_dlopen_self_static=cross
  9192   9191   else
  9193   9192     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9194   9193     lt_status=$lt_dlunknown
  9195   9194     cat > conftest.$ac_ext <<EOF
  9196         -#line 9196 "configure"
         9195  +#line 9195 "configure"
  9197   9196   #include "confdefs.h"
  9198   9197   
  9199   9198   #if HAVE_DLFCN_H
  9200   9199   #include <dlfcn.h>
  9201   9200   #endif
  9202   9201   
  9203   9202   #include <stdio.h>
................................................................................
 11525  11524      # Note that $ac_compile itself does not contain backslashes and begins
 11526  11525      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11527  11526      # The option is referenced via a variable to avoid confusing sed.
 11528  11527      lt_compile=`echo "$ac_compile" | $SED \
 11529  11528      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11530  11529      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11531  11530      -e 's:$: $lt_compiler_flag:'`
 11532         -   (eval echo "\"\$as_me:11532: $lt_compile\"" >&5)
        11531  +   (eval echo "\"\$as_me:11531: $lt_compile\"" >&5)
 11533  11532      (eval "$lt_compile" 2>conftest.err)
 11534  11533      ac_status=$?
 11535  11534      cat conftest.err >&5
 11536         -   echo "$as_me:11536: \$? = $ac_status" >&5
        11535  +   echo "$as_me:11535: \$? = $ac_status" >&5
 11537  11536      if (exit $ac_status) && test -s "$ac_outfile"; then
 11538  11537        # The compiler can only warn and ignore the option if not recognized
 11539  11538        # So say no if there are warnings other than the usual output.
 11540  11539        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 11541  11540        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 11542  11541        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 11543  11542          lt_prog_compiler_pic_works_CXX=yes
................................................................................
 11629  11628      # (2) before a word containing "conftest.", or (3) at the end.
 11630  11629      # Note that $ac_compile itself does not contain backslashes and begins
 11631  11630      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11632  11631      lt_compile=`echo "$ac_compile" | $SED \
 11633  11632      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11634  11633      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11635  11634      -e 's:$: $lt_compiler_flag:'`
 11636         -   (eval echo "\"\$as_me:11636: $lt_compile\"" >&5)
        11635  +   (eval echo "\"\$as_me:11635: $lt_compile\"" >&5)
 11637  11636      (eval "$lt_compile" 2>out/conftest.err)
 11638  11637      ac_status=$?
 11639  11638      cat out/conftest.err >&5
 11640         -   echo "$as_me:11640: \$? = $ac_status" >&5
        11639  +   echo "$as_me:11639: \$? = $ac_status" >&5
 11641  11640      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 11642  11641      then
 11643  11642        # The compiler can only warn and ignore the option if not recognized
 11644  11643        # So say no if there are warnings
 11645  11644        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 11646  11645        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 11647  11646        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 13236  13235      # Note that $ac_compile itself does not contain backslashes and begins
 13237  13236      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13238  13237      # The option is referenced via a variable to avoid confusing sed.
 13239  13238      lt_compile=`echo "$ac_compile" | $SED \
 13240  13239      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13241  13240      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13242  13241      -e 's:$: $lt_compiler_flag:'`
 13243         -   (eval echo "\"\$as_me:13243: $lt_compile\"" >&5)
        13242  +   (eval echo "\"\$as_me:13242: $lt_compile\"" >&5)
 13244  13243      (eval "$lt_compile" 2>conftest.err)
 13245  13244      ac_status=$?
 13246  13245      cat conftest.err >&5
 13247         -   echo "$as_me:13247: \$? = $ac_status" >&5
        13246  +   echo "$as_me:13246: \$? = $ac_status" >&5
 13248  13247      if (exit $ac_status) && test -s "$ac_outfile"; then
 13249  13248        # The compiler can only warn and ignore the option if not recognized
 13250  13249        # So say no if there are warnings other than the usual output.
 13251  13250        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 13252  13251        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 13253  13252        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 13254  13253          lt_prog_compiler_pic_works_F77=yes
................................................................................
 13340  13339      # (2) before a word containing "conftest.", or (3) at the end.
 13341  13340      # Note that $ac_compile itself does not contain backslashes and begins
 13342  13341      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13343  13342      lt_compile=`echo "$ac_compile" | $SED \
 13344  13343      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13345  13344      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13346  13345      -e 's:$: $lt_compiler_flag:'`
 13347         -   (eval echo "\"\$as_me:13347: $lt_compile\"" >&5)
        13346  +   (eval echo "\"\$as_me:13346: $lt_compile\"" >&5)
 13348  13347      (eval "$lt_compile" 2>out/conftest.err)
 13349  13348      ac_status=$?
 13350  13349      cat out/conftest.err >&5
 13351         -   echo "$as_me:13351: \$? = $ac_status" >&5
        13350  +   echo "$as_me:13350: \$? = $ac_status" >&5
 13352  13351      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 13353  13352      then
 13354  13353        # The compiler can only warn and ignore the option if not recognized
 13355  13354        # So say no if there are warnings
 13356  13355        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 13357  13356        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 13358  13357        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 15575  15574      # Note that $ac_compile itself does not contain backslashes and begins
 15576  15575      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15577  15576      # The option is referenced via a variable to avoid confusing sed.
 15578  15577      lt_compile=`echo "$ac_compile" | $SED \
 15579  15578      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15580  15579      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15581  15580      -e 's:$: $lt_compiler_flag:'`
 15582         -   (eval echo "\"\$as_me:15582: $lt_compile\"" >&5)
        15581  +   (eval echo "\"\$as_me:15581: $lt_compile\"" >&5)
 15583  15582      (eval "$lt_compile" 2>conftest.err)
 15584  15583      ac_status=$?
 15585  15584      cat conftest.err >&5
 15586         -   echo "$as_me:15586: \$? = $ac_status" >&5
        15585  +   echo "$as_me:15585: \$? = $ac_status" >&5
 15587  15586      if (exit $ac_status) && test -s "$ac_outfile"; then
 15588  15587        # The compiler can only warn and ignore the option if not recognized
 15589  15588        # So say no if there are warnings other than the usual output.
 15590  15589        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15591  15590        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15592  15591        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15593  15592          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
 15843  15842      # Note that $ac_compile itself does not contain backslashes and begins
 15844  15843      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15845  15844      # The option is referenced via a variable to avoid confusing sed.
 15846  15845      lt_compile=`echo "$ac_compile" | $SED \
 15847  15846      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15848  15847      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15849  15848      -e 's:$: $lt_compiler_flag:'`
 15850         -   (eval echo "\"\$as_me:15850: $lt_compile\"" >&5)
        15849  +   (eval echo "\"\$as_me:15849: $lt_compile\"" >&5)
 15851  15850      (eval "$lt_compile" 2>conftest.err)
 15852  15851      ac_status=$?
 15853  15852      cat conftest.err >&5
 15854         -   echo "$as_me:15854: \$? = $ac_status" >&5
        15853  +   echo "$as_me:15853: \$? = $ac_status" >&5
 15855  15854      if (exit $ac_status) && test -s "$ac_outfile"; then
 15856  15855        # The compiler can only warn and ignore the option if not recognized
 15857  15856        # So say no if there are warnings other than the usual output.
 15858  15857        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15859  15858        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15860  15859        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15861  15860          lt_prog_compiler_pic_works_GCJ=yes
................................................................................
 15947  15946      # (2) before a word containing "conftest.", or (3) at the end.
 15948  15947      # Note that $ac_compile itself does not contain backslashes and begins
 15949  15948      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15950  15949      lt_compile=`echo "$ac_compile" | $SED \
 15951  15950      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15952  15951      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15953  15952      -e 's:$: $lt_compiler_flag:'`
 15954         -   (eval echo "\"\$as_me:15954: $lt_compile\"" >&5)
        15953  +   (eval echo "\"\$as_me:15953: $lt_compile\"" >&5)
 15955  15954      (eval "$lt_compile" 2>out/conftest.err)
 15956  15955      ac_status=$?
 15957  15956      cat out/conftest.err >&5
 15958         -   echo "$as_me:15958: \$? = $ac_status" >&5
        15957  +   echo "$as_me:15957: \$? = $ac_status" >&5
 15959  15958      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 15960  15959      then
 15961  15960        # The compiler can only warn and ignore the option if not recognized
 15962  15961        # So say no if there are warnings
 15963  15962        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 15964  15963        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 15965  15964        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 19772  19771     SQLITE_THREADSAFE=1
 19773  19772     { echo "$as_me:$LINENO: result: yes" >&5
 19774  19773   echo "${ECHO_T}yes" >&6; }
 19775  19774   fi
 19776  19775   
 19777  19776   
 19778  19777   if test "$SQLITE_THREADSAFE" = "1"; then
 19779         -  LIBS=""
 19780         -
 19781         -{ echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
 19782         -echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6; }
 19783         -if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
        19778  +  { echo "$as_me:$LINENO: checking for library containing pthread_create" >&5
        19779  +echo $ECHO_N "checking for library containing pthread_create... $ECHO_C" >&6; }
        19780  +if test "${ac_cv_search_pthread_create+set}" = set; then
 19784  19781     echo $ECHO_N "(cached) $ECHO_C" >&6
 19785  19782   else
 19786         -  ac_check_lib_save_LIBS=$LIBS
 19787         -LIBS="-lpthread  $LIBS"
        19783  +  ac_func_search_save_LIBS=$LIBS
 19788  19784   cat >conftest.$ac_ext <<_ACEOF
 19789  19785   /* confdefs.h.  */
 19790  19786   _ACEOF
 19791  19787   cat confdefs.h >>conftest.$ac_ext
 19792  19788   cat >>conftest.$ac_ext <<_ACEOF
 19793  19789   /* end confdefs.h.  */
 19794  19790   
................................................................................
 19803  19799   main ()
 19804  19800   {
 19805  19801   return pthread_create ();
 19806  19802     ;
 19807  19803     return 0;
 19808  19804   }
 19809  19805   _ACEOF
 19810         -rm -f conftest.$ac_objext conftest$ac_exeext
        19806  +for ac_lib in '' pthread; do
        19807  +  if test -z "$ac_lib"; then
        19808  +    ac_res="none required"
        19809  +  else
        19810  +    ac_res=-l$ac_lib
        19811  +    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
        19812  +  fi
        19813  +  rm -f conftest.$ac_objext conftest$ac_exeext
 19811  19814   if { (ac_try="$ac_link"
 19812  19815   case "(($ac_try" in
 19813  19816     *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 19814  19817     *) ac_try_echo=$ac_try;;
 19815  19818   esac
 19816  19819   eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 19817  19820     (eval "$ac_link") 2>conftest.er1
................................................................................
 19821  19824     cat conftest.err >&5
 19822  19825     echo "$as_me:$LINENO: \$? = $ac_status" >&5
 19823  19826     (exit $ac_status); } && {
 19824  19827   	 test -z "$ac_c_werror_flag" ||
 19825  19828   	 test ! -s conftest.err
 19826  19829          } && test -s conftest$ac_exeext &&
 19827  19830          $as_test_x conftest$ac_exeext; then
 19828         -  ac_cv_lib_pthread_pthread_create=yes
        19831  +  ac_cv_search_pthread_create=$ac_res
 19829  19832   else
 19830  19833     echo "$as_me: failed program was:" >&5
 19831  19834   sed 's/^/| /' conftest.$ac_ext >&5
 19832  19835   
 19833         -	ac_cv_lib_pthread_pthread_create=no
        19836  +
 19834  19837   fi
 19835  19838   
 19836  19839   rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 19837         -      conftest$ac_exeext conftest.$ac_ext
 19838         -LIBS=$ac_check_lib_save_LIBS
 19839         -fi
 19840         -{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
 19841         -echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6; }
 19842         -if test $ac_cv_lib_pthread_pthread_create = yes; then
 19843         -  cat >>confdefs.h <<_ACEOF
 19844         -#define HAVE_LIBPTHREAD 1
 19845         -_ACEOF
 19846         -
 19847         -  LIBS="-lpthread $LIBS"
 19848         -
 19849         -fi
 19850         -
 19851         -  TARGET_THREAD_LIB="$LIBS"
 19852         -  LIBS=""
 19853         -else
 19854         -  TARGET_THREAD_LIB=""
 19855         -fi
 19856         -
        19840  +      conftest$ac_exeext
        19841  +  if test "${ac_cv_search_pthread_create+set}" = set; then
        19842  +  break
        19843  +fi
        19844  +done
        19845  +if test "${ac_cv_search_pthread_create+set}" = set; then
        19846  +  :
        19847  +else
        19848  +  ac_cv_search_pthread_create=no
        19849  +fi
        19850  +rm conftest.$ac_ext
        19851  +LIBS=$ac_func_search_save_LIBS
        19852  +fi
        19853  +{ echo "$as_me:$LINENO: result: $ac_cv_search_pthread_create" >&5
        19854  +echo "${ECHO_T}$ac_cv_search_pthread_create" >&6; }
        19855  +ac_res=$ac_cv_search_pthread_create
        19856  +if test "$ac_res" != no; then
        19857  +  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
        19858  +
        19859  +fi
        19860  +
        19861  +fi
 19857  19862   
 19858  19863   ##########
 19859  19864   # Do we want to allow a connection created in one thread to be used
 19860  19865   # in another thread.  This does not work on many Linux systems (ex: RedHat 9)
 19861  19866   # due to bugs in the threading implementations.  This is thus off by default.
 19862  19867   #
 19863  19868   # Check whether --enable-cross-thread-connections was given.
................................................................................
 21458  21463   AWK!$AWK$ac_delim
 21459  21464   program_prefix!$program_prefix$ac_delim
 21460  21465   VERSION!$VERSION$ac_delim
 21461  21466   RELEASE!$RELEASE$ac_delim
 21462  21467   VERSION_NUMBER!$VERSION_NUMBER$ac_delim
 21463  21468   BUILD_CC!$BUILD_CC$ac_delim
 21464  21469   SQLITE_THREADSAFE!$SQLITE_THREADSAFE$ac_delim
 21465         -TARGET_THREAD_LIB!$TARGET_THREAD_LIB$ac_delim
 21466  21470   XTHREADCONNECT!$XTHREADCONNECT$ac_delim
 21467  21471   THREADSOVERRIDELOCKS!$THREADSOVERRIDELOCKS$ac_delim
 21468  21472   ALLOWRELEASE!$ALLOWRELEASE$ac_delim
 21469  21473   TEMP_STORE!$TEMP_STORE$ac_delim
 21470  21474   BUILD_EXEEXT!$BUILD_EXEEXT$ac_delim
 21471  21475   OS_UNIX!$OS_UNIX$ac_delim
 21472  21476   OS_WIN!$OS_WIN$ac_delim
................................................................................
 21477  21481   TCL_SRC_DIR!$TCL_SRC_DIR$ac_delim
 21478  21482   TCL_LIBS!$TCL_LIBS$ac_delim
 21479  21483   TCL_INCLUDE_SPEC!$TCL_INCLUDE_SPEC$ac_delim
 21480  21484   TCL_LIB_FILE!$TCL_LIB_FILE$ac_delim
 21481  21485   TCL_LIB_FLAG!$TCL_LIB_FLAG$ac_delim
 21482  21486   TCL_LIB_SPEC!$TCL_LIB_SPEC$ac_delim
 21483  21487   TCL_STUB_LIB_FILE!$TCL_STUB_LIB_FILE$ac_delim
        21488  +TCL_STUB_LIB_FLAG!$TCL_STUB_LIB_FLAG$ac_delim
 21484  21489   _ACEOF
 21485  21490   
 21486  21491     if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
 21487  21492       break
 21488  21493     elif $ac_last_try; then
 21489  21494       { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 21490  21495   echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
................................................................................
 21518  21523   CEOF$ac_eof
 21519  21524   _ACEOF
 21520  21525   
 21521  21526   
 21522  21527   ac_delim='%!_!# '
 21523  21528   for ac_last_try in false false false false false :; do
 21524  21529     cat >conf$$subs.sed <<_ACEOF
 21525         -TCL_STUB_LIB_FLAG!$TCL_STUB_LIB_FLAG$ac_delim
 21526  21530   TCL_STUB_LIB_SPEC!$TCL_STUB_LIB_SPEC$ac_delim
 21527  21531   HAVE_TCL!$HAVE_TCL$ac_delim
 21528  21532   TARGET_READLINE_LIBS!$TARGET_READLINE_LIBS$ac_delim
 21529  21533   TARGET_READLINE_INC!$TARGET_READLINE_INC$ac_delim
 21530  21534   TARGET_HAVE_READLINE!$TARGET_HAVE_READLINE$ac_delim
 21531  21535   TARGET_DEBUG!$TARGET_DEBUG$ac_delim
 21532  21536   USE_AMALGAMATION!$USE_AMALGAMATION$ac_delim
 21533  21537   LOADEXTENSION_FLAGS!$LOADEXTENSION_FLAGS$ac_delim
 21534  21538   BUILD_CFLAGS!$BUILD_CFLAGS$ac_delim
 21535  21539   LIBOBJS!$LIBOBJS$ac_delim
 21536  21540   LTLIBOBJS!$LTLIBOBJS$ac_delim
 21537  21541   _ACEOF
 21538  21542   
 21539         -  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
        21543  +  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 11; then
 21540  21544       break
 21541  21545     elif $ac_last_try; then
 21542  21546       { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 21543  21547   echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
 21544  21548      { (exit 1); exit 1; }; }
 21545  21549     else
 21546  21550       ac_delim="$ac_delim!$ac_delim _$ac_delim!! "

Changes to configure.ac.

    88     88   # the corresponding code.
    89     89   #
    90     90   AC_INIT(sqlite, m4_esyscmd([cat VERSION | tr -d '\n']))
    91     91   
    92     92   dnl Put the RCS revision string after AC_INIT so that it will also
    93     93   dnl show in in configure.
    94     94   # The following RCS revision string applies to configure.in
    95         -# $Revision: 1.37 $
           95  +# $Revision: 1.38 $
    96     96   
    97     97   #########
    98     98   # Programs needed
    99     99   #
   100    100   AC_PROG_LIBTOOL
   101    101   AC_PROG_INSTALL
   102    102   AC_PROG_AWK
................................................................................
   200    200   else
   201    201     SQLITE_THREADSAFE=1
   202    202     AC_MSG_RESULT([yes])
   203    203   fi
   204    204   AC_SUBST(SQLITE_THREADSAFE)
   205    205   
   206    206   if test "$SQLITE_THREADSAFE" = "1"; then
   207         -  LIBS=""
   208         -  AC_CHECK_LIB(pthread, pthread_create)
   209         -  TARGET_THREAD_LIB="$LIBS"
   210         -  LIBS=""
   211         -else
   212         -  TARGET_THREAD_LIB=""
          207  +  AC_SEARCH_LIBS(pthread_create, pthread)
   213    208   fi
   214         -AC_SUBST(TARGET_THREAD_LIB)
   215    209   
   216    210   ##########
   217    211   # Do we want to allow a connection created in one thread to be used
   218    212   # in another thread.  This does not work on many Linux systems (ex: RedHat 9)
   219    213   # due to bugs in the threading implementations.  This is thus off by default.
   220    214   #
   221    215   AC_ARG_ENABLE(cross-thread-connections,